Bug 1269256 - OpenShift REST API fieldSelector returning 400 BadRequest
OpenShift REST API fieldSelector returning 400 BadRequest
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Master (Show other bugs)
3.0.0
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Jordan Liggitt
weiwei jiang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-06 15:47 EDT by Øystein Bedin
Modified: 2016-10-30 18:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 09:43:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Øystein Bedin 2015-10-06 15:47:06 EDT
Description of problem:


Version-Release number of selected component (if applicable):
OSE 3.0.x


How reproducible:
Use OSE v3.0.x REST API fieldSelector, e.g.:
GET https://master.ose.example.com:8443/oapi/v1/oauthaccesstokens?fieldSelector=userName%3Djoe


Steps to Reproduce:
1. Use REST API with the fieldSelector (for calls that supports it)
2. Observe that the response is 400 BadRequest

Actual results:
400 BadRequest


Expected results:
Response with data matching the fieldSelector query


Additional info:
E-mailed "openshift-sme" list and got response that this is a bug.
Comment 2 Øystein Bedin 2015-10-06 16:20:38 EDT
Just an extra piece of information, I've experienced this issue with both OSE v3.0.1 and v3.0.2.
Comment 3 Jordan Liggitt 2015-10-31 01:09:43 EDT
Fixed in https://github.com/openshift/origin/pull/5516
Comment 5 weiwei jiang 2015-11-03 00:57:30 EST
Checked with 
# openshift version
openshift v3.0.2.905
kubernetes v1.2.0-alpha.1-1107-g4c8e6f4
etcd 2.1.2

And this issue has been fixed.

Note You need to log in before you can comment on or make changes to this bug.